Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMPersonInCharge.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMPersonInCharge.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMPersonInCharge.cs	(revision 6)
@@ -362,7 +362,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(PersonCode) FROM PersonInChargeMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(PersonCode), 0) FROM PersonInChargeMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
@@ -393,7 +393,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(DisplayOrder) FROM PersonInChargeMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(DisplayOrder), 0) FROM PersonInChargeMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractor.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractor.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractor.cs	(revision 6)
@@ -416,7 +416,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(CompanyCode) FROM SubContractorMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(CompanyCode), 0) FROM SubContractorMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorItem.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorItem.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorItem.cs	(revision 6)
@@ -284,7 +284,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(ItemCode) FROM SubContractorItemMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(ItemCode), 0) FROM SubContractorItemMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobCategory.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobCategory.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobCategory.cs	(revision 6)
@@ -334,7 +334,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(JobCategoryCode) FROM SubContractorJobCategory" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(JobCategoryCode), 0) FROM SubContractorJobCategory" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSuppliers.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSuppliers.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSuppliers.cs	(revision 6)
@@ -371,7 +371,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SuppliersCode) FROM SuppliersMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SuppliersCode), 0) FROM SuppliersMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
@@ -433,7 +433,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(DISPLAYORDER) FROM SUPPLIERSMASTER" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(DISPLAYORDER), 0) FROM SUPPLIERSMASTER" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSystem.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSystem.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSystem.cs	(revision 6)
@@ -386,7 +386,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SystemCode) FROM SytemMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SystemCode), 0) FROM SytemMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTerm.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTerm.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTerm.cs	(revision 6)
@@ -39,7 +39,7 @@
             DisplayOrder,
             CheckSchdule,
             TermDays,
-            SendTitile,
+            SendTitle,
             SendMessage,
             BackColor,
             ForeColor,
@@ -133,7 +133,7 @@
                 strcmd += string.Format(",{0}", data.DisplayOrder);
                 strcmd += string.Format(",{0}", data.CheckSchdule.ToString());
                 strcmd += string.Format(",{0}", data.TermDays.ToString());
-                strcmd += string.Format(",'{0}'", data.SendTitile);
+                strcmd += string.Format(",'{0}'", data.SendTitle);
                 strcmd += string.Format(",'{0}'", data.SendMessage);
                 strcmd += string.Format(",'{0}'", data.BackColor);
                 strcmd += string.Format(",'{0}'", data.ForeColor);
@@ -192,7 +192,7 @@
                 strcmd += string.Format(",CheckSchdule = {0}", data.CheckSchdule.ToString());
 
                 strcmd += string.Format(",TermDays = {0}", data.TermDays.ToString());
-                strcmd += string.Format(",SendTitile = '{0}'", data.SendTitile);
+                strcmd += string.Format(",SendTitile = '{0}'", data.SendTitle);
                 strcmd += string.Format(",SendMessage = '{0}'", data.SendMessage);
                 strcmd += string.Format(",BackColor = '{0}'", data.BackColor);
                 strcmd += string.Format(",ForeColor = '{0}'", data.ForeColor);
@@ -255,7 +255,7 @@
 
                 wrk.CheckSchdule = int.Parse(objwrk[(int)NameColumn.CheckSchdule].ToString());
                 wrk.TermDays = int.Parse(objwrk[(int)NameColumn.TermDays].ToString());
-                wrk.SendTitile = objwrk[(int)NameColumn.SendTitile].ToString();
+                wrk.SendTitle = objwrk[(int)NameColumn.SendTitle].ToString();
                 wrk.SendMessage = objwrk[(int)NameColumn.SendMessage].ToString();
                 wrk.BackColor = objwrk[(int)NameColumn.BackColor].ToString();
                 wrk.ForeColor = objwrk[(int)NameColumn.ForeColor].ToString();
@@ -316,7 +316,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SeqNo) FROM TermMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM TermMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMUnit.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMUnit.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMUnit.cs	(revision 6)
@@ -260,7 +260,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(UnitKey) FROM UnitMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(UnitKey), 0) FROM UnitMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs	(revision 6)
@@ -350,7 +350,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(VehicleCode) FROM VehicleMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(VehicleCode), 0) FROM VehicleMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicleRecordData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicleRecordData.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicleRecordData.cs	(revision 6)
@@ -287,7 +287,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SeqNo) FROM VehicleRecordData" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM VehicleRecordData" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardData.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardData.cs	(revision 6)
@@ -37,7 +37,7 @@
             BranchNumber,           // レコード枝番
             FromCode,               // 書込み者コード
             FromName,               // 書込み者名
-            MessageTitile,          // 伝言タイトル
+            MessageTitle,           // 伝言タイトル
             MessageContent,         // 伝言内容
             LinkType,               // リンク動作タイプ
             LinkMessage,            // リンク文字列
@@ -65,9 +65,9 @@
 
         #endregion
 
-        #region パブリックメソッド
+        #region 掲示板データ検索文字作成
         /// <summary>
-        /// 掲示板データ検索
+        /// 掲示板データ検索文字作成
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
         /// <param name="data">掲示板データデータ</param>
@@ -97,6 +97,16 @@
 
             return strcmd;
         }
+        #endregion
+
+        #region 掲示板データ複数検索
+        /// <summary>
+        /// 掲示板データ複数検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<MessageBoardData> data, bool bConnect = true)
         {
             //Oracle インターフェース
@@ -127,6 +137,16 @@
                 return false;
             }
         }
+        #endregion
+
+        #region 掲示板データ１件検索
+        /// <summary>
+        /// 掲示板データ１件検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref MessageBoardData data, bool bConnect = true)
         {
             //Oracle インターフェース
@@ -158,9 +178,11 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 掲示板データ１件追加
         /// <summary>
-        /// 掲示板データ追加
+        /// 掲示板データ１件追加
         /// </summary>
         /// <param name="data">掲示板データデータ</param>
         /// <returns>true：成功 false：失敗</returns>
@@ -178,7 +200,7 @@
                     strcmd += string.Format(", {0} ", data.BranchNumber.ToString());
                     strcmd += string.Format(", {0} ", data.FromCode);
                     strcmd += string.Format(",'{0}'", data.FromName);
-                    strcmd += string.Format(",'{0}'", data.MessageTitile);
+                    strcmd += string.Format(",'{0}'", data.MessageTitle);
                     strcmd += string.Format(",'{0}'", data.MessageContent);
                     strcmd += string.Format(", {0} ", data.LinkType);
                     strcmd += string.Format(",'{0}'", data.LinkMessage);
@@ -205,6 +227,15 @@
                 return false;
             }
         }
+        #endregion
+
+        #region 掲示板データ複数追加
+        /// <summary>
+        /// 掲示板データ複数追加
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool InsertAction(List<MessageBoardData> data, bool bConnect = true)
         {
             string strcmd = "";
@@ -222,7 +253,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 掲示板データ更新
         /// <summary>
         /// 掲示板データ更新
         /// </summary>
@@ -243,7 +276,7 @@
                 strcmd += string.Format(",BranchNumber = {0} ", data.BranchNumber.ToString());
                 strcmd += string.Format(",FromCode = {0} ", data.FromCode);
                 strcmd += string.Format(",FromName = '{0}'", data.FromName.ToString());
-                strcmd += string.Format(",MessageTitile = '{0}'", data.MessageTitile.ToString());
+                strcmd += string.Format(",MessageTitile = '{0}'", data.MessageTitle.ToString());
                 strcmd += string.Format(",MessageContent = '{0}'", data.MessageContent.ToString());
                 strcmd += string.Format(",LinkType = {0} ", data.LinkType);
                 strcmd += string.Format(",LinkMessage = '{0}'", data.LinkMessage.ToString());
@@ -268,8 +301,9 @@
                 return false;
             }
         }
+        #endregion
 
-
+        #region 掲示板データ削除
         /// <summary>
         /// 掲示板データ削除
         /// </summary>
@@ -294,7 +328,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
         /// </summary>
@@ -309,7 +345,7 @@
                 wrk.BranchNumber = int.Parse(objwrk[(int)NameColumn.BranchNumber].ToString());
                 wrk.FromCode = int.Parse(objwrk[(int)NameColumn.FromCode].ToString());
                 wrk.FromName = objwrk[(int)NameColumn.FromName].ToString();
-                wrk.MessageTitile = objwrk[(int)NameColumn.MessageTitile].ToString();
+                wrk.MessageTitle = objwrk[(int)NameColumn.MessageTitle].ToString();
                 wrk.MessageContent = objwrk[(int)NameColumn.MessageContent].ToString();
                 wrk.LinkType = int.Parse(objwrk[(int)NameColumn.LinkType].ToString());
                 wrk.LinkMessage = objwrk[(int)NameColumn.LinkMessage].ToString();
@@ -333,11 +369,45 @@
                 logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region データクリア
+        /// <summary>
+        /// データクリア
+        /// </summary>
+        /// <param name="wrk"></param>
+        public void ClearStruct(ref MessageBoardData wrk)
+        {
+            try
+            {
+                wrk.RecordNumber = 0;                   // レコード番号
+                wrk.BranchNumber = 0;                   // レコード枝番
+                wrk.FromCode = 0;                       // 書込み者名
+                wrk.FromName = string.Empty;            // 書込み者名
+                wrk.MessageTitle = string.Empty;        // 伝言タイトル
+                wrk.MessageContent = string.Empty;      // 伝言内容
+                wrk.LinkType = 0;                       // リンク動作タイプ
+                wrk.LinkMessage = string.Empty;         // リンク文字列
+                wrk.LinkCode = string.Empty;            // リンクキー
+
+                wrk.WritingDate = DateTime.MinValue;    // 書込み日付
+                wrk.PersonCode = 0;                     // 書込み担当者コード
+                wrk.ShareFlag = 0;                      // 管理者対象フラグ
+                wrk.MessageColor = string.Empty;        // 文字色
+                wrk.BackColor = string.Empty;           // 背景色
+                wrk.MessageFlag = 0;                    // メッセージフラグ
+
+                wrk.EntryDate = DateTime.Now;           // 登録日付
+                wrk.UpdateDate = DateTime.Now;          // 更新日付
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("クリアエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+        }
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
@@ -359,9 +429,11 @@
 
             return strWork;
         }
+        #endregion
 
+        #region レコード番号の最大値を取得する
         /// <summary>
-        /// 最大値を取得する
+        /// レコード番号の最大値を取得する
         /// </summary>
         /// <param name="AddSQLString"></param>
         /// <param name="bConnect"></param>
@@ -375,7 +447,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(RecordNumber) FROM MessageBoardData" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(RecordNumber), 0) FROM MessageBoardData" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
@@ -396,8 +468,11 @@
 
             return iRet;
         }
+        #endregion
+
+        #region 枝番の最大値を取得する
         /// <summary>
-        /// 最大値を取得する
+        /// 枝番の最大値を取得する
         /// </summary>
         /// <param name="AddSQLString"></param>
         /// <param name="bConnect"></param>
@@ -411,7 +486,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(BranchNumber) FROM MessageBoardData" + string.Format(" Where RecordNumber = {0}", RecordNumber);
+                strcmd = "SELECT NVL(MAX(BranchNumber), 0) FROM MessageBoardData" + string.Format(" Where RecordNumber = {0}", RecordNumber);
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardDataTerget.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardDataTerget.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardDataTerget.cs	(revision 6)
@@ -335,7 +335,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(RecordNumber) FROM MessageBoardTerget" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(RecordNumber), 0) FROM MessageBoardTerget" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
@@ -371,7 +371,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(BranchNumber) FROM MessageBoardTerget" + string.Format(" Where RecordNumber = {0}", RecordNumber);
+                strcmd = "SELECT NVL(MAX(BranchNumber), 0) FROM MessageBoardTerget" + string.Format(" Where RecordNumber = {0}", RecordNumber);
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
@@ -407,7 +407,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SeqNum) FROM MessageBoardTerget" + CreatePrimarykeyString(RecordNumber, BranchNumber);
+                strcmd = "SELECT NVL(MAX(SeqNum), 0) FROM MessageBoardTerget" + CreatePrimarykeyString(RecordNumber, BranchNumber);
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBrowsingHistory.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBrowsingHistory.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBrowsingHistory.cs	(revision 6)
@@ -352,7 +352,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SeqNum) FROM MESSAGEBROWSINGHISTORY" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SeqNum), 0) FROM MESSAGEBROWSINGHISTORY" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
